DataDrivenDBInputFormat.DataDrivenDBInputSplit (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapreduce.lib.db
Class DataDrivenDBInputFormat.DataDrivenDBInputSplit

    java.lang.Object
      org.apache.hadoop.mapreduce.InputSplit
          org.apache.hadoop.mapreduce.lib.db.DBInputFormat.DBInputSplit
              org.apache.hadoop.mapreduce.lib.db.DataDrivenDBInputFormat.DataDrivenDBInputSplit

All Implemented Interfaces:
  Writable

Enclosing class:
  DataDrivenDBInputFormat<T extends DBWritable>

    @InterfaceStability.Evolving
    public static class DataDrivenDBInputFormat.DataDrivenDBInputSplit

extends DBInputFormat.DBInputSplit

A InputSplit that spans a set of rows

Constructor Summary
`DataDrivenDBInputFormat.DataDrivenDBInputSplit()` Default Constructor
`DataDrivenDBInputFormat.DataDrivenDBInputSplit(String lower, String upper)` Convenience Constructor

Method Summary
`long` | `getLength()` Get the size of the split, so that the input splits can be sorted by size.
`String` | `getLowerClause()`
`String` | `getUpperClause()`
`void` | `readFields(DataInput input)` Deserialize the fields of this object from `in`.
`void` | `write(DataOutput output)` Serialize the fields of this object to `out`.

Methods inherited from class org.apache.hadoop.mapreduce.lib.db.DBInputFormat.DBInputSplit
`getEnd, getLocations, getStart`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataDrivenDBInputFormat.DataDrivenDBInputSplit

    public DataDrivenDBInputFormat.DataDrivenDBInputSplit()

  Default Constructor

### DataDrivenDBInputFormat.DataDrivenDBInputSplit

    public DataDrivenDBInputFormat.DataDrivenDBInputSplit(String lower,
                                                          String upper)

  Convenience Constructor

  Parameters:
    `lower` - the string to be put in the WHERE clause to guard on the 'lower' end
    `upper` - the string to be put in the WHERE clause to guard on the 'upper' end

Method Detail

### getLength

    public long getLength()
                   throws IOException

  Description copied from class: `InputSplit`
  Get the size of the split, so that the input splits can be sorted by size.

  Overrides:
    `getLength` in class `DBInputFormat.DBInputSplit`
  Returns:
    The total row count in this split
  Throws:
    `IOException`

### readFields

    public void readFields(DataInput input)
                    throws IOException

  Deserialize the fields of this object from `in`.

  For efficiency, implementations should attempt to re-use storage in the existing object where possible.

  Specified by:
    `readFields` in interface `Writable`
  Overrides:
    `readFields` in class `DBInputFormat.DBInputSplit`
  Parameters:
    `input` - `DataInput` to deseriablize this object from.
  Throws:
    `IOException`

### write

    public void write(DataOutput output)
               throws IOException

  Serialize the fields of this object to `out`.

  Specified by:
    `write` in interface `Writable`
  Overrides:
    `write` in class `DBInputFormat.DBInputSplit`
  Parameters:
    `output` - `DataOuput` to serialize this object into.
  Throws:
    `IOException`

### getLowerClause

    public String getLowerClause()

### getUpperClause

    public String getUpperClause()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation